# Type alias ConstructorParams

ConstructorParams: {
crypto: Crypto.Implementation;
depot: Depot.Implementation;
header: PrivateTreeInfo;
key: Uint8Array;
manners: Manners.Implementation;
mmpt: default;
reference: Reference.Implementation;
}

#### Type declaration

- ##### crypto: Crypto.Implementation

- ##### depot: Depot.Implementation

- ##### header: PrivateTreeInfo

- ##### key: Uint8Array

- ##### manners: Manners.Implementation

- ##### mmpt: default

- ##### reference: Reference.Implementation

- Defined in fs/v1/PrivateTree.ts:30

Generated using TypeDoc